## vorbisdec vorbisdec |

## Types and Values

struct | GstVorbisDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstVorbisDec

## Description

This element decodes a Vorbis stream to raw float audio.

Vorbis is a royalty-free

audio codec maintained by the Xiph.org Foundation. As it outputs raw float audio you will often need to put an audioconvert element after it.

### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=sine.ogg ! oggdemux ! vorbisdec ! audioconvert ! audioresample ! autoaudiosink

Decode an Ogg/Vorbis. To create an Ogg/Vorbis file refer to the documentation of vorbisenc.

## Synopsis

### Element Information

plugin | vorbis
author | Benjamin Otte <otte@gnome.org>, Chris Lord <chris@openedhand.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-vorbis

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)F32LE, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 256 ]

## Functions

## Types and Values

### struct GstVorbisDec

    struct GstVorbisDec;

Opaque data structure.

## See Also

vorbisenc, oggdemux